<div class="row">
  <div class="col-sm-4">
    <div class="form-group">
      <label for="trackName">Track Name</label>
      <input
        type="text"
        class="form-control"
        id="trackName"
        [(ngModel)]="trackName"
        placeholder="Song name"
      />
    </div>
  </div>
  <div class="col-sm-4">
    <div class="form-group">
      <label for="albumName">Album Name</label>
      <select class="form-control" [(ngModel)]="curalbum">
        <option *ngFor="let album of albums" id="albumName" [ngValue]="album">{{
          album.val().name
        }}</option>
      </select>
    </div>
  </div>

  <div class="col-sm-4" style="height: 100px">
    <img
      *ngIf="curalbum != null"
      src="{{curalbum.val().image}}"
      style="width: 100px"
    />
  </div>
</div>
<div class="row">
  <div class="col-sm-4">
    <div class="form-group">
      <label for="artistName">Artist Name</label>
      <select
        class="form-control"
        [(ngModel)]="curartist"
        (ngModelChange)="change($event)"
      >
        <option
          *ngFor="let artist of (artists | async)"
          id="artistName"
          [ngValue]="artist"
          >{{ artist.name }}</option
        >
      </select>
    </div>
  </div>
  <div class="col-sm-4">
    <div class="form-group">
      <label for="artistName"> Collaborations </label>
      <ng-multiselect-dropdown
        [placeholder]="'Select Artists'"
        [data]="dropdownList"
        [(ngModel)]="curcoartist"
        [settings]="dropdownSettings"
        (onSelect)="onItemSelect($event)"
        (onSelectAll)="onSelectAll($event)"
      >
      </ng-multiselect-dropdown>
    </div>
  </div>
  <div class="col-sm-4">
    <div class="form-group">
      <label for="artistName"> Featuring Artists</label>
      <ng-multiselect-dropdown
        [placeholder]="'Select Artists'"
        [data]="dropdownList"
        [(ngModel)]="curftartist"
        [settings]="dropdownSettings"
        (onSelect)="onItemSelect($event)"
        (onSelectAll)="onSelectAll($event)"
      >
      </ng-multiselect-dropdown>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-sm-4">
    <div class="form-group">
      <label for="genre">Song Moods</label>
      <ng-multiselect-dropdown
        [placeholder]="'Select Moods'"
        [data]="dropdownListMode"
        [(ngModel)]="trackMood"
        [settings]="dropdownSettings"
        (onSelect)="onItemSelect($event)"
        (onSelectAll)="onSelectAll($event)"
      >
      </ng-multiselect-dropdown>
    </div>
  </div>

  <div class="col-sm-4">
    <div class="form-group">
      <label for="track">Track File : {{ key }}</label>
      <input type="file" class="form-control" id="track" />
    </div>
  </div>

  <div class="col-sm-4">
    <div class="form-group">
      <label for="trackVideo">Track Video</label>
      <input
        type="text"
        class="form-control"
        id="trackVideo"
        [(ngModel)]="trackVideo"
        placeholder="Song Video Youtube Video ID"
      />
    </div>
  </div>
</div>
<div class="row">
  <div class="col-sm-4">
    <button type="button" (click)="upload()" class="btn btn-primary">
      Submit
    </button>
    <button class="btn btn-default" (click)="clear()">Clear</button>
  </div>
</div>
